#!/bin/bash

source /etc/qemu-kvm.conf

test -f ${vm_storage_dir}/$1/vm.conf || {
    echo "usage: $0 <vm_name> where vm_name is a valid virtual machine name"
    exit 1
}

mvn clean install
scp_vm.sh $1 -r services/target/services-2.3.*/WEB-INF

connect_vm.sh $1 <<EOF
rm -fr /usr/share/obm-sync/WEB-INF
mv WEB-INF /usr/share/obm-sync/
rm -fr WEB-INF
logout
EOF

test -d ${HOME}/sources/opush/trunk/plugins/org.obm.sync.client/lib && {
    cp client/target/client-2.3.*.jar ${HOME}/sources/opush/trunk/plugins/org.obm.sync.client/lib/obm-sync-client.jar
    cp common/target/common-2.3.*.jar ${HOME}/sources/opush/trunk/plugins/org.obm.sync.client/lib/obm-sync-common.jar
}

connect_vm.sh $1 <<EOF
/etc/init.d/obm-tomcat restart
EOF


